#ifndef EDITSCENE_LIGHTEDITOR_HPP
#define EDITSCENE_LIGHTEDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/Light.hpp"

/**
 * Editor for LightComponent
 */
class LightEditor : public ComponentEditor<LightComponent> {
public:
	bool renderComponent(flecs::entity entity, LightComponent &light) override;
	const char *getName() const override { return "Light"; }

private:
	void renderColorEdit(const char* label, Ogre::ColourValue& color);
};

#endif // EDITSCENE_LIGHTEDITOR_HPP
